AccountTransaction
Update a transaction for a bank account
PUT
/
v1
/
bank-accounts
/
{accountId}
/
transactions
/
{transactionId}
Update a transaction for a bank account
curl --request PUT \
--url https://dev.flextell.ai/api/v1/bank-accounts/{accountId}/transactions/{transactionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Tenant: <x-tenant>' \
--data '
{
"debit": 1,
"credit": 1,
"currency_id": 123,
"exchange_rate": 1,
"transaction_date": "2023-11-07T05:31:56Z",
"description": "<string>",
"invoice_number": "<string>"
}
'import requests
url = "https://dev.flextell.ai/api/v1/bank-accounts/{accountId}/transactions/{transactionId}"
payload = {
"debit": 1,
"credit": 1,
"currency_id": 123,
"exchange_rate": 1,
"transaction_date": "2023-11-07T05:31:56Z",
"description": "<string>",
"invoice_number": "<string>"
}
headers = {
"X-Tenant": "<x-tenant>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'X-Tenant': '<x-tenant>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
debit: 1,
credit: 1,
currency_id: 123,
exchange_rate: 1,
transaction_date: '2023-11-07T05:31:56Z',
description: '<string>',
invoice_number: '<string>'
})
};
fetch('https://dev.flextell.ai/api/v1/bank-accounts/{accountId}/transactions/{transactionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": "<string>",
"data": {
"id": 123,
"tenant_id": 123,
"batch_uuid": "<string>",
"account_id": 123,
"currency_id": 123,
"exchange_rate": 123,
"debit": "<string>",
"credit": "<string>",
"amount": "<string>",
"transaction_date": "2023-11-07T05:31:56Z",
"type": "<string>",
"payment_method": "<string>",
"description": "<string>",
"invoice_number": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"account": {
"id": 123,
"name": "<string>"
},
"currency": {
"id": 123,
"code": "<string>",
"symbol": "<string>",
"name": "<string>"
}
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"success": "<string>",
"data": {
"message": "<string>"
}
}{
"message": "<string>",
"errors": {}
}Authorizations
oauth2bearer
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.
Path Parameters
The bank account identifier
The transaction identifier
Body
application/json
The type.
Available options:
collection, payment, transfer, bank_commission, opening_balance Debit amount.
Required range:
x >= 0Credit amount.
Required range:
x >= 0The currency ID.
Currency exchange rate.
Required range:
x >= 0Transaction date (YYYY-MM-DD).
The payment method.
Available options:
bank_account, transfer_cash, other, clinic_credit_card, credit_card, private_insurance, sgk The description.
Maximum string length:
65535Invoice number.
Maximum string length:
255⌘I
Update a transaction for a bank account
